Stretch security updates VLC to 3.0.6

Everything about X, Gnome, KDE, ... and everything running on it

Stretch security updates VLC to 3.0.6

Postby stevepusser » 2019-01-12 20:25

Apparently 3.0.3 could not be patched to fix the security holes. Compared with the vlc 3.0.6 in my own backports repos, they disabled many features that can't be built with stock Stretch libraries, but my packages are still versioned higher than Stretch's, (not with a nasty epoch like deb-multimedia, though!), so they will still be seen as upgrades.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11009
Joined: 2009-10-06 05:53

Re: Stretch security updates VLC to 3.0.6

Postby kevinthefixer » 2019-01-13 01:57

Just curious, Steve, what features are disabled?
kevinthefixer
 
Posts: 188
Joined: 2018-05-05 22:30

Re: Stretch security updates VLC to 3.0.6

Postby stevepusser » 2019-01-13 22:59

One of them is AV1 video codec playback, another is spatial audio provided by libspatialaudio, and still another is support for

ARIB STD-B24 is a character set encoding used for subtitles when broadcasting MPEG-2 TS streams. This library provides a decoder of this character set.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11009
Joined: 2009-10-06 05:53

Re: Stretch security updates VLC to 3.0.6

Postby kevinthefixer » 2019-01-14 00:59

Thanks, I'll have to look into this, I have some old home videos in AVI that I might want to see someday.
kevinthefixer
 
Posts: 188
Joined: 2018-05-05 22:30

Re: Stretch security updates VLC to 3.0.6

Postby stevepusser » 2019-01-14 03:07

That's the hot new av1 video codec, not the old .avi video container.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11009
Joined: 2009-10-06 05:53

Re: Stretch security updates VLC to 3.0.6

Postby kevinthefixer » 2019-01-15 01:01

Oops. And here I thought the new lens in my strong eye and the new glasses were working well. Perhaps the problem lies an inch or two behind my eyes?
kevinthefixer
 
Posts: 188
Joined: 2018-05-05 22:30

Re: Stretch security updates VLC to 3.0.6

Postby llivv » 2019-01-19 01:52

Is this post related? have any of you seen this hash mismatch from apt with libvlc in stable?
Problem with APT-GET UPGRADE
it installed fine for me when I tried it yesterday, but I only installed libvlc5 and 3 dep libs that came with it.
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5488
Joined: 2007-02-14 18:10
Location: cold storage

Re: Stretch security updates VLC to 3.0.6

Postby stevepusser » 2019-01-20 00:48

It was my impression that vlc 3.0.6 will upgrade more than just 4 packages from vlc 3.0.3. You don't have deb-multimedia packages clogging up the upgrade pipe, do you?

Try

Code: Select all
apt list --installed vlc* libvlc*


make sure the versions match.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11009
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 10 guests

fashionable